'use strict';

const scanner = require('sonarqube-scanner');

const analyse = (serverUrl, serverToken, key) => {
  scanner({
    serverUrl,
    token: serverToken,
    options: {
      'sonar.projectKey': key,
      'sonar.tests': 'coverage/lcov.info',
      'sonar.sources': 'src',
    },
  }, (err, data) => {
    //nothing much to see here
  });
};

const [url, token, projectKey] = process.argv.slice(2);
if (!url || !token || !projectKey) {
  global.console.log('Please supply a SonarQube url, token and project key as arguments');
}
analyse(url, token, projectKey);
